/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

.custom-headline h2 .span-1 {
    text-transform: uppercase;
    background: linear-gradient(90deg, #243d7d 0%, #475ea5 30%, #7f4d8d 55%, #b1445b 75%, #d34d55 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
}
#contents .pagination li {
    list-style: none !important;
}
/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #F9F9F9;
}

/* HP Edits - Started <May 18, 2026> */

/**/
	/*fonts*/

	/*btns*/
/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, transparent, #00000099);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
.homepage-swiper .with-gradient:before {
    background: linear-gradient(to bottom, #ffffff, transparent,  transparent);
}
.slider-info {
    min-height: 0;
}

@media (max-width: 1480px) and (max-height: 800px) and (min-width: 1025px) {
	.homepage-swiper .with-gradient:before {
		background: linear-gradient(to bottom, #ffffff, #ffffff6e,  transparent);
	}
}
@media (min-width: 768px) {
    .slider-info-left-bottom {
        bottom: 5%;
    }
}
/* CTA */
	/**/
/* Welcome */
	/**/
.module-welcome.style-5 .ry-each.image-wrapper {
    border: none;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    object-fit: contain;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo {
    padding-bottom: 100%;
}

.module-welcome.style-5 .ry-container {
    width: 100%;
}
/* Services */
	/**/


#services-7 .ry-content .content {
    max-width: 1000px;
}

.ry-services.style2 .ry-each .photo:before {
    background: var(--color-primary-background);
}

.ry-services.style2 .ry-each .photo img {
    z-index: 2;
    filter: invert(1);
    height: 50%;
    width: 50%;
    left: 25%;
    top: 15%;
}

.ry-services.style2 .ry-each .title {
    bottom: 55px;
}
.ry-services.style2 .block-count-7 .ry-each:nth-child(2) .block-group .each-block:nth-child(2) .photo:before{
    background: transparent;    
}
.ry-services.style2 .block-count-7 .ry-each:nth-child(2) .block-group .each-block:nth-child(2) .photo img{
    filter: invert(0);
    object-fit: contain;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
}
.ry-services.style2 .ry-each:nth-child(2) .block-group .each-block:nth-child(2)  .photo:after {
    background: none;
}
.ry-services.style2 .block-count-7 .ry-each:nth-child(2) .each-block:nth-child(2) {
    overflow: visible;
}
.ry-services.style2 .ry-each .photo:after {
    opacity: 1;
    background: var(--color-secondary-background);
}
.ry-services.style2 .ry-each .each-block:hover .photo img {
    opacity: 0.08;
}

.ry-services.style2 .ry-each .button-svg {
    background: var(--color-primary-background);
}
.ry-services.style2 .ry-each:nth-child(2) .block-group .each-block:nth-child(2):hover .photo img {
    opacity: 1;
}
/* Meet the Team */
	/**/
/* Insurance */
	/**/
#hp-insurance-1 {
    background: #f2f5f7;
}
#hp-insurance-1 .overflow-hidden {
    padding: 0;
}
.brands-swiper-4 .swiper-slide {
    background: none;
}
/* Brand */
	/**/
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
.testimonials-swiper .swiper-slide {
    background: var(--color-primary-background);
}
.testimonials-swiper .swiper-slide:nth-child(odd) {
    background: var(--color-secondary-background);
}
.testimonials-swiper .swiper-slide p {
    color: var(--color-primary-text);
}
/* Footer */
	/**/
/*Media Queries*/
	/**/
@media (max-width: 1080px) {
    .ry-services.style2 .each-block:nth-child(even) .photo:before {
        height: 100%;
        background: var(--color-primary-background);
    }
    .ry-services.style2 .each-block:nth-child(odd) .photo:before {
        height: 100%;
        background: var(--color-secondary-background);
    }
    .ry-services.style2 .each-block .photo img {
        z-index: 2;
        filter: invert(1);
        height: 70%;
        width: 70%;
        left: 15%;
        top: 10%;
    }
}
@media (max-width:1024px){
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
}
@media (max-width: 768px) {
    .with-gradient:before {
        opacity: 0;
    }
}
/* End - HP Edits*/

body[data-page-name="contact-us"] #footer-map {display: none !important;}

body[data-page-name="contact-us"]  #ry-footer-3 {padding-top: 220px;}

#hp-brands-6 h3 {
    font-size: clamp(1.854375rem, 1.5624rem + 1.198vw, 3rem);
    line-height: 1;
    text-transform: uppercase;
    text-align: center;
    font-weight: 700;
    --tw-text-opacity: 1;
    color: rgb(0 0 0 / var(--tw-text-opacity, 1));
}
#hp-brands-6 p { 
    text-align:center
}

#hp-brands-6 .ry-btn {
    margin-top:0px
}
#hp-brands-6 .max-w-7xl {
	 padding-top:10PX
}

.payment-options .rounded-lg img {
    max-width:140PX;
    width:100%;
  object-fit: contain
} 

.payment-options .rounded-lg {
     display:flex;
    justify-content:center;
    align-items:center;
	height:150px;
}


.payment-options .rounded-lg .logo p {
	color:#05039e;
	font-weight:bold;
	font-size:1.4em;
	text-align:center
}